# Array

Represents an ARRAY value.

Methods
void | free() Release all resources of this object.
void | free() Release all resources of this object.
Object | getArray() Returns the value as a Java array.
Object | getArray() throws SQLException Returns the value as a Java array. This method always returns an Object[]. Returns: the Object array
Object | getArray(Map map) Returns the value as a Java array.
Object | getArray(Map map) throws SQLException Returns the value as a Java array. This method always returns an Object[]. Parameters: map - is ignored. Only empty or null maps are supported Returns: the Object array
Object | getArray(long index, int count) Returns the value as a Java array.
Object | getArray(long index, int count) throws SQLException Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[]. Parameters: index - the start index of the subset (starting with 1) count - the maximum number of values Returns: the Object array
Object | getArray(long index, int count, Map map) Returns the value as a Java array.

Object

getArray(long index, int count, Map map) throws SQLException
Returns the value as a Java array. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count. This method always returns an Object[].
Parameters:
index - the start index of the subset (starting with 1)
count - the maximum number of values
map - is ignored. Only empty or null maps are supported
Returns:
the Object array

int | getBaseType() Returns the base type of the array.
int | getBaseType() throws SQLException Returns the base type of the array. This database does support mixed type arrays and therefore there is no base type. Returns: Types.NULL
String | getBaseTypeName() Returns the base type name of the array.
String | getBaseTypeName() throws SQLException Returns the base type name of the array. This database does support mixed type arrays and therefore there is no base type. Returns: "NULL"
ResultSet | getResultSet() Returns the value as a result set.
ResultSet | getResultSet() throws SQLException Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. Returns: the result set
ResultSet | getResultSet(Map map) Returns the value as a result set.
ResultSet | getResultSet(Map map) throws SQLException Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. Parameters: map - is ignored. Only empty or null maps are supported Returns: the result set
ResultSet | getResultSet(long index, int count) Returns the value as a result set.

ResultSet

getResultSet(long index, int count) throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.
Parameters:
index - the start index of the subset (starting with 1)
count - the maximum number of values
Returns:
the result set

ResultSet | getResultSet(long index, int count, Map map) Returns the value as a result set.

ResultSet

getResultSet(long index, int count, Map map) throws SQLException
Returns the value as a result set. The first column contains the index (starting with 1) and the second column the value. A subset of the array is returned, starting from the index (1 meaning the first element) and up to the given object count.
Parameters:
index - the start index of the subset (starting with 1)
count - the maximum number of values
map - is ignored. Only empty or null maps are supported
Returns:
the result set